Call Console

Endpoints supporting the Voice call console (client tokens, emergency numbers).

Show Call Console Information

  • GET /api/v2/channels/voice/call_console

Returns information about the call console for the authenticated agent, including availability status, features, phone numbers, and access tokens.

Allowed For

  • Agents with voice permissions

Code Samples

curl
curl -X GET https://{subdomain}.zendesk.com/api/v2/channels/voice/call_console.json \  -v -H "Authorization: Bearer {access_token}"
Go
import (	"fmt"	"io"	"net/http")
func main() {	url := "https://support.zendesk.com/api/v2/channels/voice/call_console"	method := "GET"	req, err := http.NewRequest(method, url, nil)
	if err != nil {		fmt.Println(err)		return	}	req.Header.Add("Content-Type", "application/json")	req.Header.Add("Authorization", "Basic <auth-value>") // Base64 encoded "{email_address}/token:{api_token}"
	client := &http.Client {}	res, err := client.Do(req)	if err != nil {		fmt.Println(err)		return	}	defer res.Body.Close()
	body, err := io.ReadAll(res.Body)	if err != nil {		fmt.Println(err)		return	}	fmt.Println(string(body))}
Java
import com.squareup.okhttp.*;OkHttpClient client = new OkHttpClient();HttpUrl.Builder urlBuilder = HttpUrl.parse("https://support.zendesk.com/api/v2/channels/voice/call_console")		.newBuilder();String userCredentials = "your_email_address" + "/token:" + "your_api_token";String basicAuth = "Basic " + java.util.Base64.getEncoder().encodeToString(userCredentials.getBytes());
Request request = new Request.Builder()		.url(urlBuilder.build())		.method("GET", null)		.addHeader("Content-Type", "application/json")		.addHeader("Authorization", basicAuth)		.build();Response response = client.newCall(request).execute();
Nodejs
var axios = require('axios');
var config = {  method: 'GET',  url: 'https://support.zendesk.com/api/v2/channels/voice/call_console',  headers: {	'Content-Type': 'application/json',	'Authorization': 'Basic <auth-value>', // Base64 encoded "{email_address}/token:{api_token}"  },};
axios(config).then(function (response) {  console.log(JSON.stringify(response.data));}).catch(function (error) {  console.log(error);});
Python
import requestsfrom requests.auth import HTTPBasicAuth
url = "https://support.zendesk.com/api/v2/channels/voice/call_console"headers = {	"Content-Type": "application/json",}email_address = 'your_email_address'api_token = 'your_api_token'# Use basic authenticationauth = HTTPBasicAuth(f'{email_address}/token', api_token)
response = requests.request(	"GET",	url,	auth=auth,	headers=headers)
print(response.text)
Ruby
require "net/http"require "base64"uri = URI("https://support.zendesk.com/api/v2/channels/voice/call_console")request = Net::HTTP::Get.new(uri, "Content-Type": "application/json")email = "your_email_address"api_token = "your_api_token"credentials = "#{email}/token:#{api_token}"encoded_credentials = Base64.strict_encode64(credentials)request["Authorization"] = "Basic #{encoded_credentials}"response = Net::HTTP.start uri.hostname, uri.port, use_ssl: true do |http|	http.request(request)end

Example response(s)

200 OK
// Status 200 OK
{  "call_console": {    "agent_state": "offline",    "client_access_token": "abcdefghijklmnopqrstuvwxyz123456",    "current_call": null,    "features": {      "call_hold_enabled": true,      "show_call_quality_enabled": true,      "show_wait_time_enabled": true,      "third_party_conference_enabled": true,      "transfer_enabled": true,      "transfers_only_state_enabled": true,      "user_seats_enabled": true    },    "is_available": false,    "phone_numbers": [      {        "all_groups_access_enabled": true,        "country_code": "US",        "display_number": "+1 (123) 456-1234",        "external": false,        "id": 1,        "name": "+1 (123) 456-1234",        "nickname": "",        "number": "+1234561234",        "outbound_allowed": true,        "outbound_calls_group_ids": [],        "sms_only": false      },      {        "all_groups_access_enabled": true,        "country_code": "US",        "display_number": "+1 (123) 456-1235",        "external": false,        "id": 2,        "name": "+1 (123) 456-1235",        "nickname": "",        "number": "+11234561235",        "outbound_allowed": true,        "outbound_calls_group_ids": [],        "sms_only": false      }    ],    "via": "client",    "voice_number": "+1 123 4567"  }}